Ankündigung

Einklappen
Keine Ankündigung bisher.

UZSU Probleme nach Aktualisierung der V2.9

Einklappen
X
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    UZSU Probleme nach Aktualisierung der V2.9

    Hallo Zusammen,

    ich hatte bisher die UZSU über FHEM und Fronthem in der SmartVISU 2.9 am laufen. Klappte soweit gut. Jetzt habe ich ein gitpull gemacht und plötzlich gibts ein Problem (smartVISU komplett neu und aktuell installieren gibt das gleiche Problem).

    Wenn ich im UZSU eine Zeit einstelle kommt im FHEM das ganze mit einer Aktualisierungszeit um 0.00Uhr an. vor dem Update konnte ich einen Timer zu in einer Minute stellen und das Ganze hat geschaltet, wenn die Zeit ran war. Wohlgemerkt beide Male die smartVISU 2.9 nur einmal etwas aktueller wo es jetzt nicht mehr geht. Beides läuft parallel auf dem gleichen Raspi mit dem gleichen FHEM und der gleichen smartVISU Seite (in das neuere smartVISU 2.9 rein kopiert). Ich hab also jetzt 2x die V2.9 in unterschiedlichen Ständen parallel auf dem gleichen Device laufen, alt geht, neu nicht. Irgendwelche Ideen was geändert wurde?
    Angehängte Dateien

    #2
    Nach mehreren Versuchen bin ich zumindest mal soweit das ganze soweit einzugrenzen, dass es an der device.html oder device.js im Ordner smartVISU / Widgets liegt. Mit der Vorgängerversion aus der 2.9 läuft das Ganze.
    Zuletzt geändert von masterjost; 17.03.2019, 12:10.

    Kommentar


      #3
      Was mit gerade auffällt: das Updatedatum für den Timer ist nicht nur auf 0.00Uhr, sondern auf 7 Tage in der Zukunft gestellt (siehe Screenshots aus dem FHEM log welche zur fast gleichen Zeit entstanden sind). Die device.js ist im Bereich der UZSU auch komplett neu strukturiert. Ist dabei vielleicht was zeschossen für die FHEM User? So ist das Ganze leider nicht nutzbar :-(

      Kommentar


        #4
        Zitat von masterjost Beitrag anzeigen
        Ist dabei vielleicht was zeschossen für die FHEM User?
        Das ist durchaus möglich. Ich werde versuchen, das bei Gelegenheit zu beheben.
        Ist ja im develop Branch, da muss es nicht brauchbar sein.

        Kommentar


          #5
          Zitat von smai Beitrag anzeigen
          Das ist durchaus möglich. Ich werde versuchen, das bei Gelegenheit zu beheben.
          Ist ja im develop Branch, da muss es nicht brauchbar sein.
          Stimmt :-D War auch nicht als Kritik zu verstehen. Ich hatte mir beide js Dateien zum Vergleich schon nebeneinander geöffnet in der Hoffnung, ist vielleicht eine schnell und einfach zu erkennende Geschichte...zumindest für mich ist sie das dann aber nicht. Stellen wir das Ganze in den Wartemodus.

          Solange werde ich als Workarround die betreffende Passage des UZSU aus der Vorgängerversion nehmen.

          Grüße und Danke für deine Arbeit an SV!

          Kommentar

          Lädt...
          X